Bug 506738 - Writer crashes - possibly change-tracking related
Writer crashes - possibly change-tracking related
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
5.3
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Caolan McNamara
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 10:31 EDT by Steve Dowe
Modified: 2010-03-05 09:52 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-05 09:52:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Stack trace as output by OpenOffice.org when writer crashed (7.57 KB, text/plain)
2009-06-18 10:31 EDT, Steve Dowe
no flags Details
Stack report when working with Format > Auto Format > While Typing unchecked (7.77 KB, text/plain)
2009-06-24 11:40 EDT, Steve Dowe
no flags Details
Stack report when editing a table header (7.63 KB, text/plain)
2009-06-24 13:48 EDT, Steve Dowe
no flags Details
Stack report with Edit > Changes > Show enabled (7.54 KB, text/plain)
2009-06-28 01:58 EDT, Steve Dowe
no flags Details

  None (edit)
Description Steve Dowe 2009-06-18 10:31:51 EDT
Created attachment 348482 [details]
Stack trace as output by OpenOffice.org when writer crashed

Description of problem:
When working in writer, if I'm typing particular quickly and navigating around my document, occasionally it crashes.  Generally it seems to be when working with bullet points, but this particular time it was when typing text in a new style (the paragraph style "applied" to the cursor before I started typing) on a page which followed immediately after a manual page break (going from a portrait to a landscape page). 

Version-Release number of selected component (if applicable):
2.3

How reproducible:
Very difficult to reproduce. The steps below are only to illustrate what I did. With the unpredictability of this bug. I doubt these steps will help you.

Steps to Reproduce:
1. Create 2 page styles, one portrait, one landscape.
2. At bottom of portrait page, insert manual break, selecting Next Style as landscape style.
3. In top-/left-most cursor point on new page, apply Heading 3 style then start typing.
  
Actual results:
Writer froze for 5+ seconds while the backtrace ran.

Expected results:
The text should have simply been applied in the Heading 3 style.

Additional info:
I believe this may be similar to another bug I reported (but was unable to test) in Fedora 9 on OO.o 2.4.
Comment 1 Steve Dowe 2009-06-18 10:38:10 EDT
Could be a duplicate of Bug ID #455711
Comment 2 Caolan McNamara 2009-06-18 10:40:00 EDT
This stack suggest autocorrect is involved, does it make a difference to disable it ?
Comment 3 Steve Dowe 2009-06-18 11:14:36 EDT
I've turned it off by following the steps in the Help ["To turn off most AutoFormat features, remove the check mark from the menu Format - AutoFormat - While Typing."]   (Is that all I need to do?)

Will feed back over the next couple of days how I get on.
Comment 4 Steve Dowe 2009-06-24 11:40:19 EDT
Created attachment 349262 [details]
Stack report when working with Format > Auto Format > While Typing unchecked

I used cursor keys to position the cursor a couple of lines down, in the middle of an existing sentence. Hit "Home" then shift-End to highlight the line, then started typing a new word (so as to effectively delete the highlighted sentence). I mis-typed this new word, so hit Backscape a couple of times, which then threw this exception.

Again, I was typing quickly and the CPU was under some load from other tasks running on my system.
Comment 5 Steve Dowe 2009-06-24 11:41:28 EDT
I forgot to mention, I have "Edit > Changes > Record" and " ... > Show" both enabled.
Comment 6 Steve Dowe 2009-06-24 13:48:47 EDT
Created attachment 349285 [details]
Stack report when editing a table header

I was deleting the text in a table header row when this exception got thrown.
Comment 7 Caolan McNamara 2009-06-24 14:50:54 EDT
These are all effectively the same thing. What's needed is one single reproducible route. 

That change-tracking is enabled is probably the key element
Comment 8 Steve Dowe 2009-06-28 01:58:02 EDT
Created attachment 349688 [details]
Stack report with Edit > Changes > Show enabled

The program crashed producing this stack report, specifically when Edit > Changes > Show was enabled.

I was working within the same document as I have been all along. However, recently I disabled "Show" and writer did not crash.  So I think this is to do with how writer draws text that is a change from the last-accepted changes.

Sorry I cannot be more specific, but as the condition of the crash changes each time (this time I was just typing slowly in a new, indented paragraph), it's very difficult to establish a common path to the fault.
Comment 9 Steve Dowe 2009-06-28 05:25:20 EDT
Ok.. and it's now crashed with "Show" changes disabled.  I won't bother uploading the stack yet unless requested to do so.

I'm now thinking it might be "Record" changes being enabled (or not).  I'll keep on trying...
Comment 10 Caolan McNamara 2009-06-28 11:28:12 EDT
Change track is the most likely culprit, though I can't get it to crash doing a few simple things. This might be something specific to e.g. numbering, or some sort of formatting getting inserted into undo
Comment 11 Steve Dowe 2009-06-30 11:28:50 EDT
I do use the stylist mainly for paragraph formatting, although I also have a couple of page styles also in use.  When you say "formatting getting inserted into undo" I think that may be relevant as, on the whole, it's when I delete (backspace) or over-write that this occurs.  

I should be drafting another document this evening - I will do my utmost to crash it :-)
Comment 12 Caolan McNamara 2009-09-11 06:39:01 EDT
Did we ever come up with a reproducer for this ?
Comment 13 Steve Dowe 2009-10-09 06:32:30 EDT
Work (of the non-OOo variety) has got in the way of this, but it's not forgotten!

It is difficult to characterise this issue; although we have established the area of its cause, the trigger seems to be performance-related rather than funtion-related.

Can we leave this issueopen a while longer?  I do have work looming that will require me to use Writer again...
Comment 14 Caolan McNamara 2009-10-09 06:40:00 EDT
I'm almost tempted to suggest running istanbul to record the entire session to see what was visually happening before the crash :-), but that'd probably just exhaust your disk space before the event happens
Comment 15 Steve Dowe 2009-10-12 05:59:17 EDT
I'll be happy to try that out and get back to you.  I'll see if I can redirect istanbul to an external, USB2 drive - then I should have enough storage to play with.
Comment 16 Steve Dowe 2009-11-17 17:35:12 EST
Grr - frustration. Not been able to get Istanbul up and running, as I "do not have the XImageSrc GStreamer plugin installed".

Am working on fixing this...
Comment 17 Steve Dowe 2009-11-22 11:58:06 EST
Ok, fixed Instanbul.  Have recorded two OOo sessions in writer and not a single crash.  Will keep you posted.
Comment 18 Caolan McNamara 2010-03-05 09:52:49 EST
This one has been around a long time, and we've never been able to reproduce it. There's no point holding out false hope :-). We'll push 3.2.1 to RHEL-5, that might cure this, but otherwise there needs to be some route to reproduce it to be able to fix it.

Note You need to log in before you can comment on or make changes to this bug.